import apf
from apf.sims import simulation, plot, generate
from apf.lib.ccalcs import ForceLaw, PotentialTerm
from apf import movie, utils

def get_simulation_params():
    return simulation.SimulationParameters.from_config()

def prepare_simulation(cls=simulation.Simulation, params=None):
    if params is None:
        return cls(get_simulation_params())
    else:
        return cls(params)

def get_generator():
    return generate.BoxGenerator(*apf._get_option("generate", "box"))
