import sys, os, apf

TRY = apf._get_option("movie", "commands")

TRIED_COMMANDS = "\n".join([command % ("prefix", "title") for command in TRY])

USAGE = """%s <prefix> <title>
Uses png files sharing prefix to create a movie named title.{mp4, mpeg}.

Commands are tried in this order:
%s

""" % (sys.argv[0], TRIED_COMMANDS)

def _main(prefix, title):
    for command in TRY:
        print "Trying command: %s" % (command,)
        if os.system(command % (prefix, title)) == 0:
            sys.exit(0)

def main():
    if len(sys.argv) != 3:
        sys.stderr.write(USAGE)
    else:
        _main(sys.argv[1], sys.argv[2])